/*******************************************************************************

    C-Sheep Counterpart Library (v1.0)

    Copyright (C) Eike Anderson, Steffen Engel and Leigh McLoughlin
    Copyright (C) NCCA 2006,2007
                  The National Centre for Computer Animation
                  Media School, Bournemouth University
                  Talbot Campus, Fern Barrow, 
                  Poole, Dorset BH12 5BB, UK

    This software is licensed under the Free Academic License ("AFL") v. 3.0
    http://www.opensource.org/licenses/afl-3.0.php

*******************************************************************************/

/* 
   note: to execute a C-Sheep program built with this library, a Meadow
   level file named "default.scn" must exist in the working directory

   dependencies: this library must be linked against SDL (SDL and SDLmain), OpenGL & GLU
*/

#ifndef __SHEEP_H__
#define __SHEEP_H__

/* on a microsoft compiler, auto-include linking of csheep.lib */
#ifdef _MSC_VER
#define _CRT_SECURE_NO_WARNINGS
#pragma once
#ifdef _DEBUG
#pragma comment (lib, "csheepD.lib")
#else
#pragma comment (lib, "csheep.lib")
#endif
#endif


/* position & alignment */
#define DIRECTION   12
#define POSITION_X  20
#define POSITION_Y  21

/* directions */
#define FRONT 1
#define RIGHT 2
#define BACK  3
#define LEFT  4

/* objects */
#define BALL 1

/* world states */
#define WEATHER 1
#define TIME    2

#define PERFECT  4.0f
#define GOOD     3.0f
#define CHANGING 2.0f
#define BAD      1.0f
#define HORRIBLE 0.0f

#define MIDNIGHT 0.0f
#define NOON     12.0f

#ifdef __cplusplus
extern "C"
{
#endif

void pause(void);

void initialise(int,int);

void step(void);

void backstep(void);

void turn_left(void);

void turn_right(void);

int blocked(int);

int found(int);

float query(int);

#ifdef __cplusplus
}
#endif

#endif

